#ifndef SWIFT_IO_BYTE_ORDER_H
#define SWIFT_IO_BYTE_ORDER_H

#include <swift/stdlib.h>

#include <swift/io/api.h>

SWIFT_IO_API uint16_t swift_bswap16(uint16_t x);
SWIFT_IO_API uint32_t swift_bswap32(uint32_t x);
SWIFT_IO_API uint64_t swift_bswap64(uint64_t x);
SWIFT_IO_API uint16_t swift_bswap16_be(uint16_t x);
SWIFT_IO_API uint32_t swift_bswap32_be(uint32_t x);
SWIFT_IO_API uint64_t swift_bswap64_be(uint64_t x);
SWIFT_IO_API uint16_t swift_bswap16_le(uint16_t x);
SWIFT_IO_API uint32_t swift_bswap32_le(uint32_t x);
SWIFT_IO_API uint64_t swift_bswap64_le(uint64_t x);

#endif /* SWIFT_IO_BYTE_ORDER */
